STRHASH(3pub)

NAME
strhash - hash function for strings

SYNOPSIS
#include <publib.h>
unsigned long strhash(const char *s);

DESCRIPTION
strhash is a hash function for strings. It uses an algorithm that tries to be good in most cases, but it is often possible to use a better algorithm that takes better into account the characteristics of the data for a given application. However, strhash often good enough; test it before spending time to develop a better one.

RETURN VALUE
strhash returns the computed hash value. Note that the value is not scaled into any particular range (all values that an unsigned long can take are possible). The caller will have to do the scaling himself.

SEE ALSO
publib(3), hashtab(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)